namespace Adaptation.FileHandlers.json;

public class ProfilePoint
{

    public int Number { get; }
    public double Depth { get; }
    public double Raw { get; }
    public double? Edited { get; }
    public double? Resistivity { get; }
    public double? CD { get; }

    public ProfilePoint(int number,
                        double depth,
                        double raw,
                        double? edited,
                        double? resistivity,
                        double? cd)
    {
        Number = number;
        Depth = depth;
        Raw = raw;
        Edited = edited;
        Resistivity = resistivity;
        CD = cd;
    }

}